Skip to main content
GET
/
discounts
/
promotions
/
promo-code
/
{promoCode}
Get promotion by code
curl --request GET \
  --url https://apiv2.example.com/discounts/promotions/promo-code/{promoCode}
{
  "promotionId": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "discountPeriodMonths": 12,
  "discountId": "<string>",
  "discount": {
    "discountId": "80df6fdf-c450-406e-948b-f77d4ac1cdb8",
    "description": "25% Off Summer Promo",
    "tag": "SUMMER25",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "promoCode": "SUMMER25",
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "productOfferings": [
    {
      "productOfferingId": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
      "amount": -10
    }
  ],
  "volumeDiscounts": [
    {
      "discountId": "b5d63d72-87e9-4536-8476-360e01598ad1",
      "name": "Multi-line discount",
      "type": "DISCOUNT_TYPE_FIXED",
      "productOfferingIds": [
        "<string>"
      ],
      "tiers": [
        {
          "fromUnit": 1,
          "amount": 2,
          "toUnit": 4,
          "receiptDescription": "Additional line savings"
        }
      ],
      "receiptDescription": "Multi-line savings"
    }
  ]
}

Path Parameters

promoCode
string
required

The promotional code to look up.

Response

Promotion details including associated discount information.

A promotion that applies a discount when the promotional code is used.

promotionId
string
required

The unique identifier for the promotion.

Example:

"497f6eca-6276-4993-bfeb-53cbbbba6f08"

discountPeriodMonths
integer
required

The number of months the discount will be applied.

Example:

12

discountId
string
required

The unique identifier for the discount.

discount
object
required

Essential discount information without sensitive details.

promoCode
string

The promotional code that customers can use to activate this promotion.

Example:

"SUMMER25"

validFrom
string<date>

When the promotion becomes valid and can be used.

If not provided, the promotion is valid immediately.

validTo
string<date>

When the promotion expires and can no longer be used.

If not provided, the promotion does not expire.

productOfferings
object[]

Per-offering discount amounts applied by this promotion's discount.

volumeDiscounts
object[]

Tiered volume discounts applied by this promotion, with the product offerings each one covers.